import { NextRequest, NextResponse } from "next/server";
import { getServerSession } from "next-auth";
import { authOptions } from "app/_lib/auth";
import { updateUserVisualization } from "app/_lib/opensearch";

export const POST = async (req: NextRequest) => {
    const session = await getServerSession(authOptions);
    const { user: { email } }: any = session;
    const { id, title, description, query } = await req.json();
    await updateUserVisualization({
        email,
        id,
        title,
        description,
        query
    });

    return NextResponse.json({ id });
};


